# get\_run\_config\_from\_latest\_run

<pre class="language-python"><code class="lang-python">dbnl.get_run_config(
    *,
    project: <a data-footnote-ref href="#user-content-fn-1">Project</a>,
) -> <a data-footnote-ref href="#user-content-fn-2">RunConfig</a>:
</code></pre>

## Parameters

<table><thead><tr><th width="274">Arguments</th><th>Description</th></tr></thead><tbody><tr><td><code>project</code></td><td>The <a href="/pages/vfXFauh5ZnUjluqFCP7i">Project</a> the most recent Run is associated with.</td></tr></tbody></table>

## Returns

| Type                                                                           | Description                                                 |
| ------------------------------------------------------------------------------ | ----------------------------------------------------------- |
| [RunConfig](/v0.20.x/using-distributional/python-sdk/sdk-objects/runconfig.md) | The dbnl RunConfig from the most recent run in the Project. |

## Examples

```python
import dbnl
dbnl.login()


proj1 = dbnl.get_or_create_project(name="test_p1")
runcfg1 = dbnl.create_run_config(project=proj1, columns=[{"name": "error", "type": "float"}])
run1 = dbnl.create_run(
    project=proj1, 
    run_config=runcfg1, 
)
# Retrieving the RunConfig by ID
runcfg2 = dbnl.get_run_config_from_latest_run(project=proj1)
assert runcfg1.id == runcfg2.id

```

[^1]: [Project](/v0.20.x/using-distributional/python-sdk/sdk-objects/project.md)

[^2]: [RunConfig](/v0.20.x/using-distributional/python-sdk/sdk-objects/runconfig.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dbnl.com/v0.20.x/using-distributional/python-sdk/sdk-functions/run-config/get_run_config-2.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
